> ## Name

> cgGetParameterNamedType - get a program parameter's type

> ## Synopsis

>     #include <Cg/cg.h>

>     CGtype cgGetParameterNamedType( CGparameter param );

> ## Parameters

> param
>   The parameter.

> ## Return Values

> Returns the type of param.

> ## Description

> cgGetParameterNamedType returns the type of param similarly to cgGetParameterType. However, if the type is a user defined struct it will return the unique enumerant associated with the user defined type instead of CG_STRUCT.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetParameterNamedType was introduced in Cg 1.2.

> ## See Also

> cgGetParameterType, cgGetParameterBaseType